MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029426Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-01-15 13:072018-06-29 21:19
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029426: Extrema algorithm fails to find minimal distance between Circle and Sphere
DescriptionThe solution found by Extrema algorithm on the attached geometries is not minimal. Although, for the trimmed circle the found solution is more correct.

The problem has been detected in the test cases bugs modalg_7 bug26883_* while making patch for the issue 0028599.
Steps To Reproducerestore bug29426_c1 c1
restore bug29426_s1 s1
# full circle
extrema c1 s1
length ext_1
# The length ext_1 is 1.3104272222026517e-005

# trimmed circle
trim ct c1 3 3.2
extrema ct s1
length ext_1
# The length ext_1 is 3.9276939000069667e-008



restore bug29426_c2 c2
restore bug29426_s2 s2
# full circle
extrema c2 s2
length ext_1
# The length ext_1 is 1.1733963723341348e-005

# trimmed circle
trim ct c2 3 3.2
extrema ct s2
length ext_1
# The length ext_1 is 1.0254966161196536e-009

TagsNo tags attached.
Test case numberlowalgos extcs bug29426_1 bug29426_2
Attached Files? file icon bug29426_c1 (291 bytes) 2018-01-15 13:11
? file icon bug29426_s1 (66 bytes) 2018-01-15 13:11
? file icon bug29426_c2 (291 bytes) 2018-01-15 13:12
? file icon bug29426_s2 (66 bytes) 2018-01-15 13:12

- Relationships
related to 0028599closedapn Open CASCADE Replacement of old Boolean operations with new ones in BRepProj_Projection algorithm 

-  Notes
(0073690)
emv (developer)
2018-01-31 10:49

The problem is fixed in the issue 0028599. The test cases for the issue will also be integrated with the fix for 0028599.
(0073703)
emv (developer)
2018-01-31 16:46

Dear bugmaster, please close this issue after integration of 0028599.

- Issue History
Date Modified Username Field Change
2018-01-15 13:07 emv New Issue
2018-01-15 13:07 emv Assigned To => msv
2018-01-15 13:11 emv File Added: bug29426_c1
2018-01-15 13:11 emv File Added: bug29426_s1
2018-01-15 13:12 emv File Added: bug29426_c2
2018-01-15 13:12 emv File Added: bug29426_s2
2018-01-15 13:15 emv Description Updated View Revisions
2018-01-15 13:15 emv Steps to Reproduce Updated View Revisions
2018-01-15 13:15 emv Relationship added related to 0028599
2018-01-15 13:16 emv Relationship added related to 0026883
2018-01-19 13:58 msv Status new => assigned
2018-01-23 17:21 msv Assigned To msv => emv
2018-01-31 10:49 emv Note Added: 0073690
2018-01-31 16:46 emv Note Added: 0073703
2018-01-31 16:46 emv Assigned To emv => bugmaster
2018-01-31 16:46 emv Status assigned => feedback
2018-02-05 17:06 apn Test case number => lowalgos extcs bug29426_1 bug29426_2
2018-02-05 17:06 apn Status feedback => verified
2018-02-05 17:06 apn Resolution open => fixed
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker